WESNOTH(6)

NAME
battle for wesnoth - fantasy turn-based strategy game

SYNOPSIS
wesnoth [OPTION] [PATH_TO_DATA]

DESCRIPTION
Battle for Wesnoth is a fantasy turn-based strategy game. Battle for control of villages, using variety of units which have advantages and disadvantages in different types of terrains and against different types of attacks. Units gain experience, advance levels and can be carried over from one scenario to the next. Build a Hero, and lead your army. Different races, with distinctive abilities, weapons and spells.

OPTIONS

--bpp
    sets BitsPerPixel value. Example: --bpp 32

-d, --debug
    shows some extra debugging informations and options in-game.

-f, --fullscreen
    runs the game in full screen mode.

--fps
    displays the number of frames per second the game is currently running at, in a corner of the screen.

-h, --help
    tells you what the command line options do.

--log-error="domain1,domain2,...", --log-warning=..., --log-info=...
    sets the severity level of the debug domains. "all" can be used to match any debug domain.

--multiplayer
    runs a multiplayer game. There are more extra options that can be used together with --multiplayer. They are explained below.

--nocache
    disables caching of game data.

--nosound
    runs game without sounds and music.

--path
    prints the name of the game data directory and exits.

-r, --resolution
    sets screen resolution. Example: -r 800x600

-t, --test
    runs the game in a small test scenario.

-v, --version
    shows version number and exits.

-w, --windowed
    runs the game in windowed mode.

Options for --multiplayer
The side-specific multiplayer options are marked with <number>. <number> has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the choosen scenario.

--era=value
    use this option to play in the selected era instead of the "Default" era. The era is choosen by an id. Eras and factions are described in the data/multiplayer.cfg file.

--nogui
    runs the game without the GUI.

--scenario=value
    selects a multiplayer scenario. The default scenario is "multiplayer_test".

--algorithm<number>=value
    selects a non-standard algorithm to be used by the AI controller for this side. Available values: "idle_ai" and "sample_ai".

--controller<number>=value
    selects the controller for this side. Available values: "human" and "ai".

--parm<number>=name:value
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be usefull for people designing their own AI. (not yet documented completely)

--side<number>=value
    selects a faction of the current era for this side. The faction is choosen by an id. Eras and factions are described in the data/multiplayer.cfg file.

AUTHOR
Written by David White <davidnwhite@optusnet.com.au>.
Edited by Nils Kneuper <crazy-ivanovic@gmx.net>.
This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003 David White <davidnwhite@optusnet.com.au>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.